app.factory("dtoUtils", function(consts) {
  let obj = {};

  //订单对应安心卡信息dto转换到本地对象接口
  obj.anxinInfoDto2Local = dto => {
    let res = {};
    res.persons = [];

    if (dto.dishCharger) {
      dto.dishCharger.icon = dto.dishCharger.imageUrl;
      dto.dishCharger.jobDesc = consts.jobDescMap[dto.dishCharger.job];
      dto.dishCharger.tempDesc = "<37℃";
      dto.dishCharger.healthCardImg = dto.dishCharger.healthImageUrl;
      res.persons.push(dto.dishCharger);
    }

    if (dto.transferCharger) {
      dto.transferCharger.icon = dto.transferCharger.imageUrl;
      dto.transferCharger.jobDesc = consts.jobDescMap[dto.transferCharger.job];
      dto.transferCharger.tempDesc = "<37℃";
      dto.transferCharger.healthCardImg = dto.transferCharger.healthImageUrl;
      res.persons.push(dto.transferCharger);
    }

    if (dto.waiters && dto.waiters.length > 0) {
      dto.waiters.forEach(waiter => {
        waiter.icon = waiter.imageUrl;
        waiter.jobDesc = consts.jobDescMap[waiter.job];
        waiter.tempDesc = "<37℃";
        waiter.healthCardImg = waiter.healthImageUrl;
        res.persons.push(waiter);
      });
    }

    res.quas = dto.config.images ? dto.config.images : [];

    //保存时间 餐段 第一个桌号 以及 桌数
    res.config = {};
    res.config.date = dto.orderList[0].resvDate;
    res.config.meal = dto.orderList[0].mealTypeName;
    res.config.firstTableName = dto.orderList[0].tableName;
    res.config.tableCount = dto.orderList.length;
    res.config.restLogoSupport = dto.config.restLogoSupport;
    res.config.restLogoUrl = dto.config.restLogoUrl
      ? dto.config.restLogoUrl
      : "";
    res.config.remark = dto.config.remark;
    return res;
  };

  return obj;
});
