angular.module('starter.controllers.accountVipCardSendCtrl', []).controller('AccountVipCardSendCtrl', function ($scope, $httpPsd, $state, $showAlert, $ionicLoading, $T, $stateParams, $httpYzVip, $ionicPopup, $ionicLoading) {
  $scope.$on('$ionicView.beforeEnter', function () {
    $scope.info = JSON.parse(localStorage['info']);
    console.log('所选客户价值', sessionStorage['cardVipChooseData'])
    $scope.vipValue = {}
    $scope.vipCount = 0
    if (sessionStorage['cardVipChooseData']) {
      $scope.vipValue = JSON.parse(sessionStorage['cardVipChooseData'])
      $scope.vipCount = $scope.vipValue.vipCount
    }
    $scope.vipInfo = {}
    $scope.cardList = [];
    $scope.data = {}
    $scope.data.mobile = ''
    $scope.data.batchNo = ''
    $scope.data.messageContent = ''
    $scope.data.isSms = true
    $scope.mobile = $stateParams.mobile // 从订单列表进入 获取订单用户会员信息
    if ($scope.mobile) {
      $scope.data.mobile = $scope.mobile
      $scope.showLoading();
      $httpYzVip.getYzVipInfo({
        businessId: $scope.info.businessId,
        mobile: $scope.mobile
      }, function (data) {
        if (data.userCardNo) {
          $ionicLoading.hide();
          $scope.vipInfo = data
        } else {
          $scope.vipInfo = {}
          $httpYzVip.createYzVip({
            businessId: $scope.info.businessId,
            mobile: $scope.mobile
          }, function (data) {
            $ionicLoading.hide();
            if (data.userCardNo) {
              $scope.vipInfo = data
            } else {
              $scope.vipInfo = {}
              $showAlert.alert('该手机号非当前酒店客户');
            }
          }, function () {
            $ionicLoading.hide();
          })
        }
      }, function () {
        $ionicLoading.hide();
      })
    }
    // 酒店优惠券
    $httpYzVip.getYzCardList({
      businessId: $scope.info.businessId
    }, function (data) {
      if (data.code == 0 && data.data && data.data.card) {
        $scope.cardList = data.data.card
      }
    })
  });
  $scope.send = function () {
    if (!$scope.data.mobile && !$scope.vipCount) {
      $showAlert.alert('请选择至少一位客户')
    } else if (!$scope.data.batchNo) {
      $showAlert.alert('请选择一张优惠券')
    } else if ($scope.data.isSms && !$scope.data.messageContent) {
      $showAlert.alert('短信内容不可为空')
    } else {
      $scope.showLoading();
      var params = {
        businessId: $scope.info.businessId,
        appUserId: $scope.info.id,
        mobile: $scope.data.mobile,
        batchNo: $scope.data.batchNo,
        messageContent: $scope.data.isSms ? $scope.data.messageContent : '',
        isSms: $scope.data.isSms ? 1 : 0
      }
      if ($scope.vipValue.type) {
        params.type = $scope.vipValue.type
        params.vipPhones = $scope.vipValue.vipPhones
        params.vipSex = $scope.vipValue.vipSex
        params.valuesIds = $scope.vipValue.valuesIds
      }
      if ($scope.data.mobile) {
        $httpYzVip.sendYzCard(params, $scope.sendCardSuccess, $scope.error);
      } else {
        $httpYzVip.sendYzCardGroup(params, $scope.sendCardSuccess, $scope.error);
      }
    }
  };
  $scope.sendCardSuccess = function(data){
    $ionicLoading.hide();
    if (data.msgCode == 200) {
      $ionicPopup.confirm({
        cssClass: "er-popup",
        title: $T.T("易订"),
        template: $T.T(data.msgMessage),
        buttons: [
          {
            text: $T.T("确认"),
            type: "button-assertive",
            onTap: function() {
              $scope.$ionicGoBack()
            }
          }
        ]
      });
    } else {
      $showAlert.alert('连接失败，请检查网络');
    }
  };
  $scope.error = function (data) {
    $scope.isSave = false
    $ionicLoading.hide()
    if (data && data.msgMessage) {
      $showAlert.alert(data.msgMessage);
    } else {
      $showAlert.alert('连接失败，请检查网络');
    }
  };
  $scope.showLoading = function () {
    $ionicLoading.show({
      template: $T.T('加载中...')
    });
  };
  $scope.chooseCard = function (item) {
    $scope.data.batchNo = item.batchNo
  }
})
