angular.module('starter.controllers.accountVipCardSendLogCtrl', []).controller('AccountVipCardSendLogCtrl', function ($scope, $httpYzVip, $state, $showAlert, $ionicLoading, $T, ionicDatePicker) {
  $scope.$on('$ionicView.beforeEnter', function () {
    $scope.info = JSON.parse(localStorage['info']);
    $scope.listData = [];
    $scope.date = $scope.freshTime()
    $scope.page = 1
    $scope.rows = 50
    $scope.canLoad = false
    $scope.getListData()
  });
  $scope.getListData = function () {
    $httpYzVip.getYzSendLog({
      appUserId: $scope.info.id,
      businessId: $scope.info.businessId,
      date: $scope.date,
      page: $scope.page,
      rows: $scope.rows
    }, function(res) {
      $scope.canLoad = res.hasNextPage
      var list = res.list.map(function(item) {
        var dateArr = item.date.split('-')
        var date = ''
        if (dateArr.length == 3){
          date = dateArr[1] + '-' + dateArr[2]
        }
        return {
          date: date,
          cardTitle: item.cardTitle,
          vipName: item.vipName,
          vipPhone: item.vipPhone,
          cardNum: item.cardNum
        }
      })
      $scope.listData = $scope.listData.concat(list)
    })
  }
  $scope.doInfinite = function() {
    $scope.page++
    $scope.getListData();
  };
  $scope.openDatePicker = function () {
    var timePicker = $scope.newIpObj();
    ionicDatePicker.openDatePicker(timePicker);
  };
  $scope.newIpObj = function () {
    var ipObj1 = {
      callback: function (date) {  //Mandatory
        console.log('Return value from the datepicker popup is : ' + date, new Date(date))
        $scope.date = $scope.freshTime(date)
        $scope.listData = []
        $scope.page = 1
        $scope.getListData()
      },
      from: new Date(1900, 1, 1), //Optional,
      // to: new Date($scope.date), //Optional
      inputDate: new Date($scope.date),      //Optional
      mondayFirst: false,          //Optional
      closeOnSelect: true,       //Optional
      templateType: 'popup',       //Optional
      dateFormat: 'yyyy-MM-dd'
    };
    return ipObj1;
  };
  $scope.freshTime = function (date) {
    var date = date ? new Date(date): new Date();
    var m = date.getMonth() + 1;
    if (m < 10) {
      m = "0" + m;
    }
    var d = date.getDate();
    if (d < 10) {
      d = "0" + d;
    }
    var dateString = date.getFullYear() + "-" + m + "-" + d;
    return dateString;
  };
})
