angular
  .module("starter.controllers.anxinListCtrl", [])
  .controller("anxinListCtrl", function(
    $scope,
    $interval,
    $stateParams,
    $ionicPopup,
    $rootScope,
    $http,
    $ionicPopover,
    $ionicLoading,
    $httpPsd,
    $state,
    $showAlert,
    $ionicScrollDelegate,
    dateUtils,
    $T
  ) {
    $scope.$on("$ionicView.beforeEnter", function(event, viewData) {
      viewData.enableBack = true;
      $scope.onShow();
      $rootScope.$broadcast("anxinListLoaded", {});
    });

    $scope.getCurrMealTypeName = () => {
      let index = $scope.mealTypeInfo.mealTypeList.findIndex(
        item => item.id == $scope.mealTypeInfo.mealTypeId
      );
      return $scope.mealTypeInfo.mealTypeList[index].mealTypeName;
    };

    $scope.onShow = () => {
      //获得从哪里来
      let from = $stateParams.from;

      //重新获取用户本地信息
      $scope.info = JSON.parse(localStorage.getItem("info"));

      //获取当前时间和餐段信息
      $scope.mealTypeInfo = {
        date: sessionStorage.dateString,
        mealTypeId: sessionStorage.mealTypeId,
        mealTypeList: JSON.parse(sessionStorage.mealTypes)
      };
      $scope.mealTypeInfo.day = dateUtils.getWeek($scope.mealTypeInfo.date)

      //定义餐段下拉列表
      var mealTypesLength = $scope.mealTypeInfo.mealTypeList.length * 53;
      var meal = `<ion-popover-view style="height:${mealTypesLength}px;width:120px;;padding-top:0;">
                  <ion-content style="background-color: transparent;">
                    <div class="list">
                      <a class="item text-center" ng-click="chooseMeal($event,2)"
                      ng-repeat="meal in mealTypeInfo.mealTypeList" data-mealTypeId={{meal.id}} data-mealTypeIdA={{meal.mealTypeIdA}} data-mealTypeIdB={{meal.mealTypeIdB}}
                      data-resvStartTime={{meal.resvStartTime}} data-resvEndTime={{meal.resvEndTime}} data-text={{meal.mealTypeName}} data-mealTypeSecondDaySign={{meal.mealTypeSecondDaySign}}>
                        {{meal.mealTypeName}}
                      </a>
                    </div>
                  </ion-content>
                </ion-popover-view>`;
      $scope.popoverMeal = $ionicPopover.fromTemplate(meal, {
        scope: $scope
      });
      //分两种情况 若是订单
      $scope.foodPersons = $rootScope.anxinInfo.data.foodPersons;
      $scope.deliverPersons = $rootScope.anxinInfo.data.deliverPersons;
      $scope.serverPersons = $rootScope.anxinInfo.data.serverPersons;
      $scope.config.type = $rootScope.anxinInfo.type;
      if ($scope.config.type == 0) {
        $scope.config.navTitle = "安心卡管理";
        $scope.config.btnText = "提交";
        $scope.config.bottomTip =
          "提交后该餐段的安心卡默认填入以上信息如需有特殊情况，可前往具体订单页面修改";
      } else {
        $scope.config.navTitle = "安心卡信息";
        $scope.config.btnText = "保存";
        $scope.config.bottomTip = "请认真填写，发送给客户后将无法修改";
      }
      $scope.config.isSendSms = $rootScope.anxinInfo.isSendSms;
      $ionicScrollDelegate.$getByHandle("content").scrollTop(true);
    };

    $scope.isEditable = () => {
      return !($scope.config.type == 2 && $scope.config.isSendSms);
    };

    //1 表示从首页访问 2表示从下单访问 3表示从订单详情访问
    //1 获取的是当前时间和餐段的安心卡配置信息 修改就是修改当前时间和餐段的安心卡信息
    //2 获取的是选择时间和餐段和区域和桌号的安心卡信息 修改就是本地修改 判断是否有修改 在下单完成后使用更新订单安心卡接口进行更新
    //3 是从订单详情访问 根据订单号获取安心卡信息 提交修改订单安心卡信息

    //打开下拉列表函数
    $scope.openPopoverMeal = function($event) {
      $scope.popoverMeal.show($event);
    };

    $scope.closePopoverMeal = function() {
      $scope.popoverMeal.hide();
    };

    //选择餐段选项回调函数
    $scope.chooseMeal = function($event, num) {
      var elem = $event.target;
      var mealTypeId = elem.getAttribute("data-mealTypeId");
      $scope.mealTypeInfo.mealTypeId = mealTypeId;
      $rootScope.anxinInfo.getAnxinListByTime(
        $scope.info.businessId,
        $scope.mealTypeInfo.day,
        $scope.mealTypeInfo.mealTypeId
      );
      $scope.closePopoverMeal();
    };

    // $scope.setRegionDesc = person => {
    //   let tables = person.tables;
    //   let tableAreas = person.tableAreas;
    //   let str = "";
    //   for (let i = 0; i < tables.length; ++i) {
    //     if (str != "") str += ", ";
    //     str += tables[i].tableName;
    //   }
    //   for (let i = 0; i < tableAreas.length; ++i) {
    //     if (str != "") str += ", ";
    //     str += tableAreas[i].tableAreaName;
    //   }
    //   person.regionDesc = str;
    // };

    $scope.foodPersons = [
      // {
      //   id: 1,
      //   icon: "new-images/icon-bar4-2.png",
      //   name: "张三",
      //   tempDesc: "<37℃"
      // }
    ];
    $scope.deliverPersons = [
      // {
      //   id: 2,
      //   icon: "new-images/icon-bar4-2.png",
      //   name: "李四",
      //   tempDesc: "<36℃"
      // }
    ];
    $scope.serverPersons = [];
    //保存当前页面的一些配置数据
    $scope.config = {
      //from 0代表从主页点过来 1代表下单时点过来 2代表订单详情点过来
      from: 0
    };
    $scope.goAnxinRegionSelect = (evt, person) => {
      evt.stopPropagation();
      $state.go("anxinRegionSelect", { person });
    };
    $scope.showAnxinPersonSelect = (type, persons, jobType) => {
      console.log("showAnxinPersonSelect", type, persons, jobType);

      // 岗位类型，1 菜品 2 传菜 3 服务生
      // 需要告诉对方是选择菜品 送菜还是服务 以及当前选择人员数据
      $state.go("anxinPersonSelect", {
        type,
        persons,
        jobType,
        origin: "anxinList"
      });
    };

    // $rootScope.$on("anxin-region-selected", function(event, args) {
    //   console.log("anxin-region-selected", args);
    //   let regions = args.regions;
    //   let person = args.person;
    //   //更新对应person的区域信息
    //   //筛选出区域和包厢
    //   let selectedRegions = regions.filter(region => {
    //     return region.rooms.filter(room => room.selected == false).length <= 0;
    //   });
    //   let otherRegions = regions.filter(region => {
    //     let index = selectedRegions.findIndex(
    //       selectedRegion => selectedRegion.id == region.id
    //     );
    //     return index == -1;
    //   });
    //   let selectedRooms = [];
    //   otherRegions.forEach(region => {
    //     if (region.rooms) {
    //       region.rooms.forEach(room => {
    //         if (room.selected == true) {
    //           selectedRooms.push(room);
    //         }
    //       });
    //     }
    //   });
    //   person.tables = selectedRooms;
    //   person.tableAreas = selectedRegions;
    //   $scope.setRegionDesc(person);
    //   console.log("person", person);
    // });
    // $rootScope.$on("anxin-person-selected", function(event, args) {
    //   console.log("anxin-person-selected", args);
    //   let jobType = args.jobType;
    //   let selectType = args.selectType;
    //   if (jobType == 1) {
    //     //1 菜品 2 传菜 3 服务生
    //     $scope.foodPersons = args.selectedPersons;
    //   } else if (jobType == 2) {
    //     $scope.deliverPersons = args.selectedPersons;
    //   } else if (jobType == 3) {
    //     $scope.serverPersons = args.selectedPersons;
    //   }
    // });

    // console.log("$rootScope.$on");
    // let getAnxinListByTimeListener = $rootScope.$on(
    //   "getAnxinListByTime",
    //   function(event, args) {
    //     console.log("getAnxinListByTime", args);
    //     $scope.config.from = 0;
    //     $scope.getAnxinListByTime();
    //   }
    // );

    // let getAnxinListByTableListener = $rootScope.$on(
    //   "getAnxinListByTable",
    //   function(event, args) {
    //     console.log("getAnxinListByTable", args);
    //     $scope.config.from = 1;
    //     $scope.getAnxinListByTableArgs = args;
    //     if ($rootScope.anxinInfo.beforeCreateOrderAnxinData) {
    //       let beforeCreateOrderAnxinData =
    //         $rootScope.anxinInfo.beforeCreateOrderAnxinData;
    //       $scope.foodPersons = beforeCreateOrderAnxinData.foodPersons;
    //       $scope.deliverPersons = beforeCreateOrderAnxinData.deliverPersons;
    //       $scope.serverPersons = beforeCreateOrderAnxinData.serverPersons;
    //     } else {
    //       $scope.getAnxinListByTable();
    //     }
    //   }
    // );

    // let getAnxinListByOrderBatchListener = $rootScope.$on(
    //   "getAnxinListByOrderBatch",
    //   function(event, args) {
    //     console.log("getAnxinListByOrderBatch", args);
    //     $scope.config.from = 2;
    //     $scope.getAnxinListByOrderBatch();
    //   }
    // );

    $scope.getAnxinListByTable = () => {
      $scope.getAnxinListByTime();
    };

    $scope.getAnxinListByOrderBatch = () => {
      $scope.getAnxinListByTime();
    };

    //获取当前时间餐段的安心卡配置信息
    $scope.getAnxinListByTime = () => {
      let businessId = $scope.info.businessId;
      let weekday = $scope.mealTypeInfo.day;
      let mealTypeId = $scope.mealTypeInfo.mealTypeId;
      $rootScope.anxinInfo.getAnxinListByTime(
        businessId,
        weekday,
        mealTypeId,
        () => {
          $scope.foodPersons = $rootScope.anxinInfo.data.foodPersons;
          $scope.deliverPersons = $rootScope.anxinInfo.data.deliverPersons;
          $scope.serverPersons = $rootScope.anxinInfo.data.serverPersons;
        }
      );
    };

    // $scope.$on("$destroy", function() {
    //   console.log("$destroy");
    //   getAnxinListByTimeListener();
    //   getAnxinListByTimeListener = null;
    //   getAnxinListByTableListener();
    //   getAnxinListByTableListener = null;
    //   getAnxinListByOrderBatchListener();
    //   getAnxinListByOrderBatchListener = null;
    // });

    $scope.handlerSubmit = () => {
      console.log("handlerSubmit");
      //如果是0 直接提交 代表修改模板
      //如果是1 则将数据传递到外部 等待订单提交
      //如果是2 直接提交 代表修改订单批次对应的安心卡信息
      let type = $rootScope.anxinInfo.type;
      if (type == 0) {
        let mealTypeId = $scope.mealTypeInfo.mealTypeId;
        $ionicLoading.show({
          template: "加载中..."
        });
        $rootScope.anxinInfo.updateTemplateAnxinInfo(
          mealTypeId,
          $rootScope.anxinInfo.data,
          () => {
            $ionicLoading.hide();
            $scope.$ionicGoBack();
          }
        );
        // $scope.handlerSaveTemplate();
      } else if (type == 1) {
        if (!$rootScope.anxinInfo.tempData4CreateOrder)
          $rootScope.anxinInfo.tempData4CreateOrder = {};
        $rootScope.anxinInfo.tempData4CreateOrder.foodPersons =
          $rootScope.anxinInfo.data.foodPersons;
        $rootScope.anxinInfo.tempData4CreateOrder.deliverPersons =
          $rootScope.anxinInfo.data.deliverPersons;
        $rootScope.anxinInfo.tempData4CreateOrder.serverPersons =
          $rootScope.anxinInfo.data.serverPersons;
        $scope.$ionicGoBack();
      } else if (type == 2) {
        $ionicLoading.show({
          template: "加载中..."
        });
        $rootScope.anxinInfo.updateOrderAnxinInfo(
          $rootScope.anxinInfo.batchNo,
          $rootScope.anxinInfo.data,
          () => {
            $ionicLoading.hide();
            $scope.$ionicGoBack();
          }
        );
      }
    };

    //保存模板 将当前酒店 时间 餐段信息 以及配置人员信息上传到服务器进行提交
    $scope.handlerSaveTemplate = () => {
      $scope.$ionicGoBack();
    };

    //将数据传递到外部订单处理页面 等待提交
    $scope.handlerSaveBeforeCreateOrder = () => {
      console.log("handlerSaveBeforeCreateOrder");
      $rootScope.anxinInfo.beforeCreateOrderAnxinData = {
        foodPersons: $scope.foodPersons,
        deliverPersons: $scope.deliverPersons,
        serverPersons: $scope.serverPersons,
        args: $scope.getAnxinListByTableArgs
      };
      $scope.$ionicGoBack();
    };

    //将数据直接提交到服务器 传递对应订单批次号
    $scope.handlerSaveOrderBatch = () => {
      $scope.$ionicGoBack();
    };
  });
