angular
  .module("starter.controllers.anxinPersonSelectCtrl", [])
  .controller("anxinPersonSelectCtrl", function(
    $scope,
    $stateParams,
    $ionicScrollDelegate,
    $rootScope,
    $timeout,
    $anchorScroll,
    $state,
    $http
  ) {
    $scope.$on("$ionicView.beforeEnter", function(event, viewData) {
      viewData.enableBack = true;
      $scope.onShow();
    });

    $scope.onShow = () => {
      $scope.info = JSON.parse(localStorage.getItem("info"));
      $scope.getPersonList();
    };

    $scope.dto2LocalPersonData = dto => {
      let res = {};
      //如果是单选服务生模式则去掉所有已经选择的服务生
      if ($scope.data.selectType == 1 && $scope.data.jobType == 3) {
        dto = dto.filter(person => {
          let index = $scope.data.allServers.findIndex(
            server => server.id == person.id
          );
          return index == -1;
        });
      }
      dto.filter(person => {});
      dto.forEach(person => {
        let name = person.name;
        let firstLetter = PinyinHelper.convertToPinyinString(
          name,
          "#",
          PinyinFormat.WITH_TONE_MARK
        ).slice(0, 1);
        if (!res[firstLetter]) res[firstLetter] = [];
        res[firstLetter].push(person);
        person.icon = person.imageUrl;
        person.tempDesc = "<37℃";
      });

      $scope.data.personData = res;
    };

    $scope.getPersonList = () => {
      let jobType = $scope.data.jobType;
      console.log(jobType);
      jobType = Number(jobType) - 1;
      //本地是1 2 3 转换成 0 1 2即可
      let config = {
        headers: $rootScope.anxinInfo.baseHeaders
      };
      $http
        .get(
          `${$rootScope.anxinInfo.baseUrl}/restcard/employee?businessId=${$scope.info.businessId}&job=${jobType}`,
          config
        )
        .then(
          function successCallback(response) {
            // 请求成功执行代码
            console.log("response", response);
            $scope.personListDto = response.data;
            $scope.dto2LocalPersonData($scope.personListDto);
          },
          function errorCallback(response) {
            // 请求失败执行代码
            console.log("response", response);
          }
        );
    };

    var personHandle = $ionicScrollDelegate.$getByHandle("person-handle");
    let selectedPersonScroll = $ionicScrollDelegate.$getByHandle(
      "selected-person-scroll"
    );
    // $http.get("./city.json").success(function(data) {
    //   $scope.cityList = data;
    //   cityHandle.resize();
    // });
    //类型 单选还是多选
    $scope.data = {
      personData: {
        // A: [
        //   {
        //     id: 1,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿斯兰",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 2,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿兰斯",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ],
        // B: [
        //   {
        //     id: 3,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "本拉登",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 4,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "巴里",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ],
        // C: [
        //   {
        //     id: 5,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿斯兰",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 6,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿兰斯",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ],
        // D: [
        //   {
        //     id: 7,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "本拉登",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 8,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "巴里",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ],
        // E: [
        //   {
        //     id: 9,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿斯兰",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 10,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "阿兰斯",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ],
        // F: [
        //   {
        //     id: 11,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "本拉登",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   },
        //   {
        //     id: 12,
        //     icon: "new-images/icon-bar4-2.png",
        //     name: "巴里",
        //     tempDesc: "<37℃",
        //     regionDesc: "包厢2，包厢3>"
        //   }
        // ]
      },
      selectType: 2, //1 单选 2 多选,
      selectedPersons: [],
      jobType: "",
      jobTypeDescMap: {
        1: "菜品",
        2: "传菜",
        3: "服务"
      },
      origin: ""
    };
    let persons = $stateParams.persons;
    let type = $stateParams.type;
    let jobType = $stateParams.jobType;
    $scope.data.selectType = type;
    if (jobType == 3 && type == 1) {
      $scope.data.selectedPersons = [persons[0]];
      $scope.data.allServers = persons[1];
    } else {
      $scope.data.selectedPersons = [...persons];
    }
    $scope.data.jobType = jobType;

    $scope.isInSelectedPersons = person => {
      let res =
        $scope.data.selectedPersons.findIndex(
          selectedPerson => selectedPerson.id == person.id
        ) != -1;
      // console.log(
      //   "isInSelectedPersons",
      //   person,
      //   $scope.data.selectedPersons,
      //   res
      // );
      return res;
    };

    $scope.back2Prev = () => {
      $scope.$ionicGoBack();
    };

    $scope.confirmMultiSelect = () => {
      console.log("confirmMultiSelect");
      if ($scope.data.selectedPersons.length <= 0) return;
      sessionStorage.yFrom = "personSelect";
      $scope.$ionicGoBack();

      let selectedPersons = $scope.data.selectedPersons;
      let jobType = $scope.data.jobType;
      if (jobType == 1) {
        //1 菜品 2 传菜 3 服务生
        $rootScope.anxinInfo.data.foodPersons = selectedPersons;
      } else if (jobType == 2) {
        $rootScope.anxinInfo.data.deliverPersons = selectedPersons;
      } else if (jobType == 3) {
        $rootScope.anxinInfo.data.serverPersons = selectedPersons;
      }

      // $rootScope.$broadcast("anxin-person-selected", {
      //   selectedPersons: $scope.data.selectedPersons,
      //   jobType: $scope.data.jobType,
      //   selectType: $scope.data.selectType
      // });
    };

    // 选择
    $scope.selectPerson = function(person) {
      console.log(
        "selectType",
        $scope.data.selectType,
        "anin select person",
        person
      );
      if ($scope.data.selectType == 1) {
        //若是单选 则直接返回并且广播事件
        //如果是单选服务生模式 返回的数据需要拼接
        let selectedPersons = [];
        if ($scope.data.jobType == 3) {
          selectedPersons = [...$scope.data.allServers];
          let currServerId = $scope.data.selectedPersons[0].id;
          console.log("currServerId", currServerId, selectedPersons);
          for (let i = 0; i < selectedPersons.length; ++i) {
            if (selectedPersons[i].id == currServerId) {
              selectedPersons.splice(i, 1, person);
            }
          }
          console.log("selectedPersons", selectedPersons);
        } else {
          selectedPersons = [person];
        }
        sessionStorage.yFrom = "personSelect";
        $scope.$ionicGoBack();

        let jobType = $scope.data.jobType;
        if (jobType == 1) {
          //1 菜品 2 传菜 3 服务生
          $rootScope.anxinInfo.data.foodPersons = selectedPersons;
        } else if (jobType == 2) {
          $rootScope.anxinInfo.data.deliverPersons = selectedPersons;
        } else if (jobType == 3) {
          $rootScope.anxinInfo.data.serverPersons = selectedPersons;
        }
      } else if ($scope.data.selectType == 2) {
        //若是多选 如果已经选择了则去选 若是还没有选择则加选
        let index = $scope.data.selectedPersons.findIndex(
          selectedPerson => selectedPerson.id == person.id
        );
        if (index == -1) {
          //表示未选择
          $scope.data.selectedPersons.push(person);
        } else {
          //表示已经选择
          $scope.data.selectedPersons.splice(index, 1);
        }
        selectedPersonScroll.resize();
      }
    };

    $scope.isShowTypeCircle = false;
    $scope.typeCircle = "A";
    $scope.selected = "";
    var time = "";
    $scope.selectType = function(id) {
      $scope.selected = id;
      $scope.typeCircle = id;
      $timeout.cancel(time);
      $scope.isShowTypeCircle = true;
      $anchorScroll(id);
      time = $timeout(function() {
        $scope.isShowTypeCircle = false;
        $scope.selected = "";
      }, 1000);
    };

    // 滑动框
    var navBar = $(".select-city-type-line");
    var width = 40;
    var height = 20;
    $scope.isTrueNavBar = false;
    $scope.touchmove = function($event) {
      var e = $event.targetTouches[0];
      $scope.isTrueNavBar = true;
      var y = e.pageY;
      var x = e.pageX;
      navBar.find(".letter").each(function(i, item) {
        var offset = $(item).offset();
        var left = offset.left,
          top = offset.top;
        if (x > left && x < left + width && y > top && y < top + height) {
          var id = $(item).text();
          $scope.selected = id;
          $scope.typeCircle = id;
          $scope.isShowTypeCircle = true;
          $anchorScroll(id.trim());
        }
      });
    };

    $scope.touchend = function() {
      $scope.isTrueNavBar = false;
      $timeout(function() {
        $scope.isShowTypeCircle = false;
        $scope.selected = "";
      }, 500);
    };

    //键盘回车键
    $scope.todoSomething = function($event) {
      if ($event.keyCode == 13) {
        cordova.plugins.Keyboard.close();
      }
    };

    $scope.close = function() {
      clearData();
    };

    function clearData() {
      $scope.user.text = "";
      $scope.isShowKeyboard = false;
      $scope.$apply();
      cordova.plugins.Keyboard.close();
    }

    // 监听键盘
    $scope.isShowKeyboard = false;
    window.addEventListener("native.showkeyboard", keyboardShowHandler);
    function keyboardShowHandler(e) {
      cityHandle.scrollTop(true);
      $scope.isShowKeyboard = true;
      $scope.$apply();
    }

    window.addEventListener("native.keyboardhide", keyboardHideHandler);
    function keyboardHideHandler(e) {
      if ($scope.user.text == "") {
        $scope.isShowKeyboard = false;
      }
      $scope.$apply();
    }

    // 对象字母排序
    function objKeySort(obj) {
      var newkey = Object.keys(obj).sort();
      var newObj = {};
      for (var i = 0; i < newkey.length; i++) {
        newObj[newkey[i]] = obj[newkey[i]];
      }
      return newObj;
    }
  });
