angular
  .module("starter.controllers.anxinRegionSelectCtrl", [])
  .controller("anxinRegionSelectCtrl", function(
    $scope,
    $interval,
    $ionicPopup,
    $http,
    $httpPsd,
    $state,
    $showAlert,
    $stateParams,
    $rootScope,
    $T
  ) {
    console.log("anxinRegionSelectCtrl ");
    $scope.info = JSON.parse(localStorage.getItem("info"));
    $scope.person = $stateParams.person;
    $scope.dto2LocalDataRegions = dto => {
      let res = [...dto];
      res.forEach(area => {
        area.id = area.tableAreaId;
        area.name = area.tableAreaName;
        area.rooms = [...area.tables];
        area.rooms.forEach(room => {
          room.id = room.tableId;
          room.name = room.tableName;
          room.selected = false;
        });
      });
      $scope.regions = res;

      //修改selected为当前服务生所选
      let person = $scope.person;
      let tableAreas = person.tableAreas;
      tableAreas.forEach(area => {
        let id = area.tableAreaId;
        //找到对应的区域 下面的所有的包厢都选中
        let index = $scope.regions.findIndex(region => region.id == id);
        let region = $scope.regions[index];
        if (region.rooms) {
          region.rooms.forEach(room => (room.selected = true));
        }
      });
      let tables = person.tables;
      tables.forEach(table => {
        $scope.regions.forEach(region => {
          if (region.rooms) {
            region.rooms.forEach(room => {
              if (room.id == table.tableId) {
                room.selected = true;
              }
            });
          }
        });
      });
    };
    $scope.getRegions = () => {
      let config = {
        headers: $rootScope.anxinInfo.baseHeaders
      };
      $http
        .get(
          `${$rootScope.anxinInfo.baseUrl}/restcard/areas?businessId=${$scope.info.businessId}`,
          config
        )
        .then(
          function successCallback(response) {
            // 请求成功执行代码
            console.log("response", response);
            $scope.dto2LocalDataRegions(response.data);
          },
          function errorCallback(response) {
            // 请求失败执行代码
            console.log("response", response);
          }
        );
    };
    $scope.getRegions();
    $scope.$on("$ionicView.beforeEnter", function(event, viewData) {
      viewData.enableBack = true;
    });
    $scope.searchKey = {
      key: ""
    };
    $scope.regions = [
      {
        id: 1,
        name: "大厅",
        rooms: [
          {
            id: 1,
            name: "柳浪闻莺",
            selected: false
          },
          {
            id: 2,
            name: "断桥残雪",
            selected: false
          }
        ],
        showRoom: false
      },
      {
        id: 2,
        name: "二楼",
        rooms: [
          {
            id: 3,
            name: "花港观鱼",
            selected: false
          },
          {
            id: 4,
            name: "雷峰夕照",
            selected: false
          }
        ],
        showRoom: false
      }
    ];
    $scope.axrsRegionItemContentStyleObj = () => {
      return { height: "300px" };
    };
    $scope.showRoom = regionId => {
      let regions = $scope.regions;
      let index = regions.findIndex(region => region.id === regionId);
      let region = regions[index];
      region.showRoom = !region.showRoom;
    };
    $scope.selectRoom = room => {
      room.selected = !room.selected;
    };
    $scope.isAllRoomSelected = regionId => {
      let regions = $scope.regions;
      let index = regions.findIndex(region => region.id === regionId);
      let region = regions[index];
      let unselectedRooms = region.rooms.filter(room => !room.selected);
      if (unselectedRooms.length <= 0) return true;
      return false;
    };
    $scope.isAllRoomNotSelected = regionId => {
      let regions = $scope.regions;
      let index = regions.findIndex(region => region.id === regionId);
      let region = regions[index];
      let selectedRooms = region.rooms.filter(room => room.selected);
      if (selectedRooms.length <= 0) return true;
      return false;
    };
    $scope.selectRegion = (regionId, e) => {
      e.stopPropagation();
      let regions = $scope.regions;
      let index = regions.findIndex(region => region.id === regionId);
      let region = regions[index];
      let isAllRoomSelected = $scope.isAllRoomSelected(regionId);
      region.rooms.forEach(room => (room.selected = !isAllRoomSelected));
    };
    $scope.clearSearch = () => {
      console.log("clearSearch");
      $scope.searchKey.key = "";
    };

    $scope.handlerConfirm = () => {
      console.log("handlerConfirm", $scope.person);
      $rootScope.anxinInfo.setPersonRegionInfo($scope.person, $scope.regions);
      $scope.$ionicGoBack();
    };

    $scope.back2Prev = () => {
      $scope.$ionicGoBack();
    };
  });
