angular.module('starter.controllers.myCustomInfoCardCtrl', []).controller('myCustomInfoCardCtrl', function ($scope, $showAlert, $ionicLoading, $state, $stateParams, $T, $ionicHistory, $httpPsd, $httpYzVip) {
  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = false;
    $scope.info = JSON.parse(localStorage['info']);
    $scope.isJk = $scope.info.isJk;
    $scope.isYz = $scope.info.isYz;
    $scope.cansend = $scope.info.appOperationSet.indexOf(17) > -1
    $scope.memberID = $stateParams.memberID;
    $scope.mobile = $stateParams.mobile
    $scope.appUserId = $stateParams.appUserId
    $scope.isVip = false;
    $scope.cardList = [];
    // 金康会员
    if($scope.memberID && $scope.memberID != '' && $scope.isJk == 1){
      $scope.isVip = true;
      $scope.cardData = {};
      $scope.cardData.businessId = $scope.info.businessId;
      $scope.cardData.memberID = $scope.memberID;
      $httpPsd.getCardList($scope.cardData,$scope.getCardListSuccess);
    }
    
    $scope.yzCardType = {
      1: '现金券',
      2: '团购券',
      3: '微信劵',
      5: '支付宝券',
      7: '菜品券',
      12: '折扣券'
    }
    // 雅座会员
    if ($scope.mobile && $scope.isYz == 1) {
      console.log($scope.mobile)
      $scope.showLoading();
      $httpYzVip.getYzVipCardList({
        businessId: $scope.info.businessId,
        mobile: $scope.mobile
      }, function(data){
        $ionicLoading.hide();
        if(data){
          $scope.isVip = true;
          $scope.cardList = data
          for(var i = 0; i < $scope.cardList.length; i++) {
            var usageRules = $scope.cardList[i].usageRules
            var baseRuleAmount = ''
            var couponExclusive = ''
            for(var j = 0; j < usageRules.length; j++) {
              var ruleType = usageRules[j].ruleType
              var operator = usageRules[j].operator
              var values = usageRules[j].values
              if (ruleType == 'baseRuleAmount') {
                switch (operator) {
                  case 'EQ':
                    baseRuleAmount += '满' + values + '元可使用'
                    break
                  case 'NEQ':
                    break
                  case 'GTE':
                    baseRuleAmount += '满' + values + '元及以上可使用'
                    break
                  case 'GT':
                    baseRuleAmount += '超过' + values + '元可使用'
                    break
                  case 'LT':
                    baseRuleAmount += '不超过' + values + '元可使用'
                    break
                  case 'IN':
                    break
                  case 'BETWEEN':
                    values = values.split(',')
                    baseRuleAmount += values[0] + '~' + values[1] + '元之间可使用'
                    break
                  default:
                    break
                }
              } else if (ruleType == 'couponExclusive') {
                couponExclusive = couponExclusive ? '，' + couponExclusive : couponExclusive
                switch (operator) {
                  case 'EQ':
                    couponExclusive += '不可与' + values + '同时使用'
                    break
                  case 'NEQ':
                    break
                  case 'GT':
                    break
                  case 'LT':
                    break
                  case 'IN':
                    couponExclusive += '不可与' + values + '同时使用'
                    break
                  case 'BETWEEN':
                    break
                  default:
                    break
                }
              }
              baseRuleAmount = !baseRuleAmount ? '，' + baseRuleAmount : baseRuleAmount
              $scope.cardList[i].usageRulesStr = baseRuleAmount + couponExclusive
              $scope.cardList[i].couponCategoryName = $scope.yzCardType[$scope.cardList[i].couponCategoryId]
            }
          }
        }else{
          $scope.cardList = []
        }
      }, function(err) {
        $ionicLoading.hide();
        $scope.cardList = []
      })
    }
  })

  $scope.getCardListSuccess = function(data){
    if(data.code == 200 && data.data){
      $scope.cardList = data.data;
      console.log(data);
    }
  }

  $scope.error = function (data) {
    $scope.isSave = false
    $ionicLoading.hide()
    if (data && data.msgMessage) {
      $showAlert.alert(data.msgMessage);
    } else {
      $showAlert.alert('连接失败，请检查网络');
    }
  };

  $scope.goback = function(){
    $ionicHistory.goBack();
  };

  $scope.send = function () {
    $state.go('tab.account-vip-card-send', {'mobile': $scope.mobile})
    sessionStorage.removeItem('cardVipChooseData')
  }
  $scope.showLoading = function () {
    $ionicLoading.show({
      template: $T.T('加载中...')
    });
  };
})
