angular.module('starter.controllers.myCustomInfoCunjiuCtrl', []).controller('myCustomInfoCunjiuCtrl', function ($scope, $showAlert, $ionicLoading, $state, $stateParams, $T, $ionicHistory, $ionicPopup, ionicDatePicker, $httpCunjiu, $httpCustom) {
  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = false;
    $scope.info = JSON.parse(localStorage['info']);
    $scope.phone = $stateParams.phone || ''
    $scope.type3 = $stateParams.type3
    $scope.vipId =$stateParams.vipId || ''
    $scope.edit = false
    $scope.vipWines = []
    $scope.vipWinesCopy = []
    $scope.deleteWines = []
    $scope.data = {}
    $scope.data.remark = ''
    $scope.sendDate = ''
    $scope.isSend = false
    if ($scope.info.appOperationSet.indexOf(15) > -1) {
      $scope.wineAuthority = true;
    } else {
      $scope.wineAuthority = false;
    }
    $scope.getWine()
  })
  $scope.getWine = function(){
    $httpCunjiu.getVipWines({
      businessId: $scope.info.businessId,
      phone: $scope.phone
    }, function(data){
      if(data.length>0){
        $scope.vipWines = data.map(function(item){
          var num = item.num + ''
          var num1 = '', num2 = ''
          var index = num.indexOf('.')
          if (index>=0){
            num1 = num.split('.')[0]*1
            num2 = num.split('.')[1]*1
          } else {
            num1 = num*1
          }
          return {
            id: item.id,
            businessId: item.businessId,
            vipId: item.vipId,
            cmbh: item.cmbh,
            name: item.name,
            num: item.num,
            unit: item.unit || '瓶',
            num1: num1,
            num2: num2
          }
        })
        $scope.vipWinesCopy = $scope.vipWines.concat()
        $scope.vipId = data[0].vipId
        $scope.getVipInfo()
      }else{
        $scope.vipWines = []
        $scope.vipWinesCopy = []
        $scope.isSend = false
      }
    }, $scope.error)
  }
  $scope.getVipInfo = function(){
    $httpCustom.customInfo($scope.vipId, function(data){
      $scope.data.remark = data.storeWineRemark
      if(data.storeWineSendTime){
        $scope.sendDate = data.storeWineSendTime
        $scope.isSend = true
      }
    }, $scope.error)
  }
  $scope.error = function (data) {
    $scope.isSave = false
    $ionicLoading.hide()
    if (data && data.msgMessage) {
      $showAlert.alert(data.msgMessage)
    } else {
      $showAlert.alert('连接失败，请检查网络');
    }
  };
  $scope.goCunjiuLog = function(){
    $state.go('myCustomInfoCunjiuLog',{phone: $scope.phone});
  }
  $scope.showEdit = function(){
    $scope.deleteWines = []
    $scope.edit = true
  }
  $scope.cancel = function(){
    $scope.edit = false
    $scope.getWine()
  }
  $scope.fixedNum1 = function(index, value) {
    if (!(Number(value) >= 0)){
      $scope.vipWines[index].num1 = ''
    }
  }
  $scope.fixedNum2 = function(index, value) {
    console.log($scope.num2)
    if (!(Number(value) >= 0)){
      $scope.vipWines[index].num2 = ''
    } else {
      var num2 = $scope.vipWines[index].num2 + ''
      if (num2.length>1){
        var index2 = num2.indexOf($scope.num2)
        console.log(index2)
        if (index2 == 0) {
          $scope.vipWines[index].num2 = num2[1]
        } else {
          $scope.vipWines[index].num2 = num2[0]
        }
      }
    }
    $scope.num2 = $scope.vipWines[index].num2
  }
  $scope.copyNum2 = function(value) {
    $scope.num2 = value
  }
  $scope.submit = function(){
    var isNullName = false, isNullNum = false, isNullUnit = false
    $scope.vipWines.map(function(item){
      if(!item.name){
        isNullName = true
      }
      if(Number(item.num1)<=0 && Number(item.num2)<=0){
        isNullNum = true
      }
      if(!item.unit){
        isNullUnit = true
      }
    })
    if(isNullName){
      $showAlert.alert('酒品名称不可为空');
      return false
    }
    if(isNullNum){
      $showAlert.alert('数量不可为空且大于零');
      return false
    }
    if(isNullUnit){
      $showAlert.alert('单位不可为空');
      return false
    }
    if($scope.isSend && !$scope.sendDate){
      $showAlert.alert('发送日期不可为空');
      return false
    }
    if($scope.vipWines.length==0 && $scope.deleteWines==0){
      $showAlert.alert('请添加酒品');
      return false
    }
    if($scope.isSave){
      return false
    }
    
    // 比较原来存酒信息
    var str = `【${$scope.info.businessName}】`
    var cun = ''
    var qu = ''
    var current = ''
    for(var i=0;i<$scope.vipWines.length;i++){
      var wine = $scope.vipWines[i]
      var num = wine.num2?wine.num1+'.'+wine.num2:wine.num1
      current += `${wine.name} ${num*1}${wine.unit} `
      if (wine.id) {
        var oldwine = $scope.vipWinesCopy.filter(function(item){ return item.id == wine.id })[0]
        if (oldwine.num*1 > num*1) {
          var a = Number(oldwine.num*1-num*1)
          var d = a.toFixed(1).split('.')[1]*1
          qu += `${wine.name} ${d>0?a.toFixed(1):a.toFixed(0)}${wine.unit} `
        } else if (oldwine.num*1 < num*1) {
          var a = Number(num*1-oldwine.num*1)
          var d = a.toFixed(1).split('.')[1]*1
          cun += `${wine.name} ${d>0?a.toFixed(1):a.toFixed(0)}${wine.unit} `
        }
      } else {
        cun += `${wine.name} ${num*1}${wine.unit} `
      }
    }
    for(var i=0;i<$scope.deleteWines.length;i++){
      var wine = $scope.deleteWines[i]
      qu += `${wine.name} ${wine.num*1}${wine.unit} `
    }
    if (cun){
      if (cun) {
        str += '<br>本次存酒：' + cun
      }
      if (qu) {
        str += '<br>本次取酒：' + qu
      }
      str += '<br>当前存酒情况：' + current
      $ionicPopup.show({
        cssClass: "er-popup",
        template: `<div>
                      <div>是否向客户发送存取酒短信</div>
                      <div>短信内容如下：</div>
                      <div>${str}</div>
                    </div>`,
        title: $T.T('提示'),
        scope: $scope,
        buttons: [
          {
            text: $T.T('不发送'),
            onTap: function () {
              $scope.saveCunjiu(0, '')
            }
          },
          {
            text: $T.T('发送'), type: 'button-assertive',
            onTap: function () {
              var msg = str.replace(/<br>/g, "\n")
              console.log(msg)
              $scope.saveCunjiu(1, msg)
            }
          }]
      });
    } else {
      $scope.saveCunjiu(0, '')
    }
  }

  $scope.saveCunjiu = function (num, msg) {
    $ionicLoading.show({
      template: '保存中'
    });
    if($scope.vipWines.length==0){
      $scope.isSend = false
      $scope.sendDate = ''
    }
    $scope.isSave = true
    $httpCunjiu.editWineInfo({
      phone: $scope.phone,
      businessId: $scope.info.businessId,
      data: $scope.vipWines.map(function(item) {
        return {
          id: item.id,
          businessId: item.businessId,
          vipId: item.vipId,
          cmbh: item.cmbh,
          name: item.name,
          unit: item.unit || '瓶',
          num: item.num2?item.num1+'.'+item.num2:item.num1
        }
      }),
      delete: $scope.deleteWines,
      operatorName: $scope.info.surname,
      userId: $scope.info.id,
      remark: $scope.data.remark,
      isSendSms: $scope.isSend?1:0, // 发送定时存酒提醒短信
      isSendMessage: num, // 是否发送存酒短信短信
      sendTime: $scope.sendDate,
      sendContent: msg
    }, function(data){
      $scope.isSave = false
      $ionicLoading.hide()
      if(data.code == 200){
        $showAlert.alert('保存成功');
        $scope.getWine()
        $scope.edit = false
      }else{
        $showAlert.alert(data.msg || '保存失败');
      }
    }, $scope.error)
  }

  $scope.delWine = function (index) {
    if($scope.vipWines[index].id){
      $scope.deleteWines.push($scope.vipWines[index])
    }
    $scope.vipWines.splice(index, 1)
  }
  
  // $scope.cjjia = function (index) {
  //   $scope.vipWines[index].num += 1;
  // };
  // $scope.cjjian = function (index) {
  //   if ($scope.vipWines[index].num > 1) {
  //     $scope.vipWines[index].num -= 1;
  //   }else{
  //     if($scope.vipWines[index].id){
  //       $scope.deleteWines.push($scope.vipWines[index])
  //     }
  //     $scope.vipWines.splice(index, 1)
  //   }
  // };
  $scope.addWine = function(){
    $scope.vipWines.push({
      name: '',
      num: 1,
      num1: 1,
      num2: '',
      cmbh: '',
      unit: '瓶'
    })
  }
  $scope.changeSend = function(){
    $scope.isSend = !$scope.isSend
  }
  $scope.newIpObj = function () {
    var ipObj1 = {
      callback: function (date) {
        console.log(date);
        var a = new Date(date);
        var y = a.getFullYear();
        var m = a.getMonth() + 1;
        var d = a.getDate();
        if (m < 10) {
          m = '0' + m
        }
        if (d < 10) {
          d = '0' + d
        }
        $scope.sendDate = y + '-' + m + '-' + d;
        $scope.isSend = true
      },
      from: new Date(new Date().setDate(new Date().getDate()+1)),
      to: new Date(new Date().setFullYear(new Date().getFullYear()+10)),
      inputDate: new Date(new Date().setDate(new Date().getDate()+1)),
      mondayFirst: false,
      closeOnSelect: true,
      templateType: 'popup',
      dateFormat: 'yyyy-MM-dd'
    };
    return ipObj1;
  };
  $scope.openDatePicker = function ($event) {
    $event.stopPropagation()
    var timePicker = $scope.newIpObj();
    ionicDatePicker.openDatePicker(timePicker);
  };
  $scope.showTips = function(){
    var html = `<div>1. ${$T.T('系统将会在设定日期的早上十点，向客户发送短信。')}</div>
                <div>2. ${$T.T('短信内容如下：【酒店名称】尊敬的顾客，您好，您在本酒店还有存酒，期待您前来就餐。')}</div>
                <div>3. ${$T.T('以下情况将不自动发送短信：')}</div>
                <div>${$T.T('3.1. 如果酒店短信余量不足，则不发送，并清除提醒任务。')}</div>
                <div>${$T.T('3.2. 如果发送时，该客户没有存酒信息，则不发送，并清除提醒任务。')}</div>`
    $ionicPopup.show({
      cssClass: "er-popup",
      template: html,
      title: $T.T('提示'),
      scope: $scope,
      buttons: [
        {text: $T.T('关闭'), type: 'button-assertive'}
      ]
    });
  }
  $scope.goback = function(){
    $ionicHistory.goBack();
    // $state.go('myCustom-info', {'vipId': $scope.vipId });
  }
})
