angular.module('starter.controllers.myOrderCustomerCtrl', []).controller('MyOrderCustomerCtrl', function ($scope, $state, $stateParams, $ionicPopover, $ionicLoading, $httpOrder, $httpCustom, $ionicPopup, $showAlert, $T, $compile) {
  $scope.$on('$ionicView.beforeEnter', function (event, viewData) {
    viewData.enableBack = false;
    $scope.info = JSON.parse(localStorage['info']);
    $scope.keList = [];
    $scope.guestList = [];
    $scope.propertyBatchNo = $stateParams.batchNo
    $scope.customerVipPhone = $stateParams.vipPhone
    $scope.getData()
  })
  $scope.getData = function () {
    $scope.getKeData = {
      "batchNo": $scope.propertyBatchNo, // 批次号
      "businessId": $scope.info.businessId, // 酒店ID
      "appUserId": $scope.info.id, // 用户ID
    };
    $httpOrder.getKe($scope.getKeData, $scope.getKeSuccess, $scope.error);
    $httpOrder.getGuest($scope.getKeData, $scope.getQuestSuccess, $scope.error);
  };
  $scope.error = function (data) {
    if (data && data.msgMessage) {
      $showAlert.alert(data.msgMessage)
    } else {
      $showAlert.alert('发送失败，请检查网络');
    }
    $ionicLoading.hide();
  };
  $scope.getKeSuccess = function (data) {
    console.log(data);
    if (data.length > 0) {
      $scope.keList = data;
      $('#hostBtn').hide()
      var str = `<div ng-repeat="item in keList track by $index" class="row" style="background:#fff;border-bottom:1px solid #ddd;padding:10px 12px;align-items:center;margin: 0;" ng-click="goCusDetail(item.masterCustomerId,$event)">
                  <span class="icon icon-close-r" style="margin-right: 10px;" ng-click="delDetail(item.id,1,$event)"></span>
                  <div class="col">
                    <div>{{item.vipName}} {{item.vipSex=='男'?'先生':'女士'}}</div>
                    <div style="font-size:12px;color:#999;">{{item.vipPhone}}</div>
                  </div>
                  <span class="icon icon-arrow-right"></span>
                </div>`
      var template = angular.element(str)
      var htmltemp = $compile(template)($scope)
      $('#hostDiv').html('')
      $('#hostDiv').append(htmltemp)
    } else {
      $scope.keList = [];
    }
  };
  $scope.getQuestSuccess = function (data) {
    if (data.length > 0) {
      $scope.guestList = data;
      var str = `<div ng-repeat="item in guestList track by $index" class="row" style="background:#fff;border-bottom:1px solid #ddd;padding:10px 12px;align-items:center;margin: 0;" ng-click="goCusDetail(item.guestCustomerId,$event)">
                  <span class="icon icon-close-r" style="margin-right: 10px;" ng-click="delDetail(item.id,2,$event)"></span>
                  <div class="col">
                    <div>{{item.vipName}} {{item.vipSex=='男'?'先生':'女士'}}</div>
                    <div style="font-size:12px;color:#999;">{{item.vipPhone}}</div>
                  </div>
                  <span class="icon icon-arrow-right"></span>
                </div>`
      var template = angular.element(str)
      var htmltemp = $compile(template)($scope)
      $('#guestDiv').html('')
      $('#guestDiv').append(htmltemp)
    } else {
      $scope.guestList = [];
    }
  };
  $scope.delDetail = function(id, type, e){
    e.stopPropagation()
    var params = {
      id: id
    }
    var popup = $ionicPopup.show({
      cssClass: "er-popup white-popup",
      template: `<div style="text-align:center;">${$T.T('是否确认删除')}</div>`,
      title: $T.T('提示'),
      scope: $scope,
      buttons: [
        { text: $T.T('取消') },
        { text: $T.T('保存'),
          type: 'button-assertive',
          onTap: function () {
            if(type==1){
              console.log('删除主客')
              $httpOrder.delKe($.param(params), $scope.delKeSuccess, $scope.error)
            }else{
              console.log('删除宾客')
              $httpOrder.delGuest($.param(params), $scope.delGuestSuccess, $scope.error)
            }
          }
        }
      ]
    });
  };
  $scope.delKeSuccess = function (data){
    $showAlert.alert(data.msg);
    $('#hostBtn').show()
    $httpOrder.getKe($scope.getKeData, $scope.getKeSuccess, $scope.error);
  }
  $scope.delGuestSuccess = function (data){
    $showAlert.alert(data.msg);
    $httpOrder.getGuest($scope.getKeData, $scope.getQuestSuccess, $scope.error);
  }
  $scope.goCusDetail = function(id){
    console.log('详情')
    $state.go('myCustom-info', {'vipId': id});
  };
  $scope.changeGender = function ($event) {
    var a = $event.target;
    var txt = a.nextElementSibling.getAttribute("data-id");
    console.log(txt);
    if (txt == '男士') {
      $scope.keData.customerSex = '男';
    } else if (txt == '女士') {
      $scope.keData.customerSex = '女';
    }
  };
  $scope.showTips = function(){
    var html = `<div><b>${$T.T('主客：')}</b>${$T.T('订单的实际买单客人')}</div>
                <div>${$T.T('如果订单有主客，“易订”系统会根据该订单的消费行为和金额，统计客户分类和价值，并在“易订”的价值体系中体现。')}</div>
                <div>${$T.T('提示：预订人为买单人，无需添加主客')}</div>
                <div style="margin-top:10px;"><b>${$T.T('宾客：')}</b>${$T.T('不参与买单的陪同客人')}</div>
                <div>${$T.T('如果订单有宾客，“易订”系统会根据该订单的消费行为，统计客户分类，不会根据消费金额统计此客人的细分价值。')}</div>
                <div>${$T.T('例如，客户A宴请客户B，订单完成后，客户B的最近就餐时间/消费次数等数据变更，但是金额（人均消费、消费总金额等）不变更。')}</div>`;
    var popup1 = $ionicPopup.show({
      cssClass: "er-popup",
      template: html,
      title: $T.T('主客与宾客'),
      scope: $scope,
      buttons: [
        {text: $T.T('关闭'), type: 'button-assertive'}
      ]
    });
  };
  $scope.addKe = function ($event,type) {
    $event.stopPropagation();
    var typename = ''
    if(type==1){
      typename = '主客'
    }else{
      typename = '宾客'
    }
    $scope.keData = {};
    $scope.keData.customerSex='男'
    var html = `<div>
                  <div class="row" style="padding:10px 0">
                    <label style="line-height:34px;margin-right:5px;">{{'电话'|T}}</label>
                    <input class="col" type="tel" style="padding: 0;text-align:right" ng-model="keData.customerPhone" id="customerPhone" ng-change="select()" />
                  </div>
                  <div class="row" style="padding:10px 0">
                    <label style="line-height:34px;margin-right:5px;">{{'姓名'|T}}</label>
                    <input class="col" type="text" style="padding: 0;text-align:right" ng-model="keData.customerName" />
                  </div>
                  <div class="row" style="padding:10px 0">
                    <label>{{'性别'|T}}</label>
                    <div class="col" style="padding: 0;text-align: right;">
                      <a class="icon icon-check" ng-click="changeGender($event)" ng-class={'icon-check-r':keData.customerSex=='男'}></a><span class="span-black"  style="font-size: 14px;" data-id="男士">{{'男士'|T}}</span>
                      <a class="icon icon-check" ng-click="changeGender($event)" ng-class={'icon-check-r':keData.customerSex=='女'}></a><span class="span-black" style="font-size: 14px;" data-id="女士">{{'女士'|T}}</span>
                    </div>
                  </div>
                </div>`;
    var popup = $ionicPopup.show({
      cssClass: "er-popup white-popup underPopover",
      template: html,
      title: $T.T(`${typename}信息`),
      scope: $scope,
      buttons: [
        { text: $T.T('取消') },
        { text: $T.T('保存'),
          type: 'button-assertive',
          onTap: function () {
            if($scope.customerVipPhone == $scope.keData.customerPhone){
              $showAlert.alert('不可添加预订人为主/宾客');
              $scope.addKe(type)
              return
            }
            var guestIndex = $scope.guestList.findIndex(function(item){
              return item.vipPhone == $scope.keData.customerPhone
            })
            var isKe = false
            if($scope.keList.length==0) isKe = false
            else isKe = $scope.keList[0].vipPhone == $scope.keData.customerPhone
            if(guestIndex>-1 || isKe){
              $showAlert.alert('不可重复添加主/宾客');
              $scope.addKe(type)
              return
            }
            if(type==1){
              $scope.newKe()
            }else{
              $scope.newGuest()
            }
          }
        }
      ]
    });
  };
  $scope.newKe = function () {
      var params = {
        batchNo: $scope.propertyBatchNo,
        businessId: $scope.info.businessId,
        appUserId: $scope.info.id,
        customerName: $scope.keData.customerName,
        customerPhone: $scope.keData.customerPhone,
        customerSex: $scope.keData.customerSex
      }
      var reg = /^\d+$/;
      if ($scope.keData.customerName && (($scope.keData.customerPhone + '').length == 11) && (reg.test($scope.keData.customerPhone) == true)) {
        $httpOrder.newKe($.param(params), $scope.newKeSuccess, $scope.error)
      } else {
        console.log($scope.keData.customerName);
        console.log(($scope.keData.customerPhone * 1));
        $showAlert.alert('请填写正确的客户姓名和号码');
        $scope.addKe($event,1)
      }
  };
  $scope.newGuest = function(){
    var params = {
      batchNo: $scope.propertyBatchNo,
      businessId: $scope.info.businessId,
      appUserId: $scope.info.id,
      customerName: $scope.keData.customerName,
      customerPhone: $scope.keData.customerPhone,
      customerSex: $scope.keData.customerSex
    }
    var reg = /^\d+$/;
    if ($scope.keData.customerName && (($scope.keData.customerPhone + '').length == 11) && (reg.test($scope.keData.customerPhone) == true)) {
      $httpOrder.newGuest($.param(params), $scope.newGuestSuccess, $scope.error)
    } else {
      console.log($scope.keData.customerName);
      console.log(($scope.keData.customerPhone * 1));
      $showAlert.alert('请填写正确的客户姓名和号码');
      $scope.addKe($event,2)
    }
  }
  $scope.newKeSuccess = function (data) {
    $('#hostBtn').hide()
    $showAlert.alert('添加成功');
    $scope.showShu = true;
    $httpOrder.getKe($scope.getKeData, $scope.getKeSuccess, $scope.error);
  };
  $scope.newGuestSuccess = function (data) {
    $showAlert.alert('添加成功');
    $scope.showShu = true;
    $httpOrder.getGuest($scope.getKeData, $scope.getQuestSuccess, $scope.error);
  };
  ////////////////////主客模糊查询//////////////////////////
  $scope.select = function () {
    $scope.keData.customerPhone = $scope.keData.customerPhone.trim();
    if ($scope.keData.customerPhone.length > 11) {
      var reg = /[-,+,\s]/g;
      console.log('我来了');
      $scope.keData.customerPhone = $scope.keData.customerPhone.replace(reg, '');
      if ($scope.keData.customer[0] == 8) {
        console.log(1);
        $scope.keData.customerPhone = $scope.keData.customerPhone.slice(2);
      }
    }
    if ($scope.keData.customerPhone && $scope.keData.customerPhone.toString().length >= 4) {
      var mohuData = {
        "appUserId": $scope.info.id,
        "searchText": $scope.keData.customerPhone,
        'businessId': $scope.info.businessId,
        "type": 0,
        "all": 1
      };
      console.log(mohuData);
      $httpCustom.selectCustom(mohuData, $scope.selectSuccess, $scope.selectError);
      // $httpOrder.mohuKe(mohuData, $scope.selectSuccess, $scope.selectError);
    } else {
      if ($scope.closePopover1) {
        $scope.popover1.hide();
        $('body').removeClass('popover-open')
      }
      ;
    }
  };
  $scope.selectSuccess = function (data) {
    console.log(data);
    if ($scope.closePopover1) {
      $scope.popover1.hide();
      $('body').removeClass('popover-open')
    }
    ;
    if ((data.length > 0) && (data instanceof Array)) {
      var mohuLength = data.length > 5 ? 265 : data.length * 53;
      $scope.mohu = data;
      var template1 = `<ion-popover-view class="mohuPopover" style="height:${mohuLength}px;width:230px;">
                 <ion-content style="background-color: transparent;" overflow-scroll="true">
                   <div class="list">
                     <a class="item" ng-repeat="person in mohu" ng-click="mohuCheck($event)" data-phone={{person.vipPhone}} data-name={{person.vipName}} data-gender={{person.vipSex}}>
                       {{person.vipPhone}}
                       {{person.vipName}}
                     </a>
                   </div>
                 </ion-content>
               </ion-popover-view>`;
      $scope.popover1 = $ionicPopover.fromTemplate(template1, {
        scope: $scope
      });
      $scope.openPopover1 = function ($event) {
        $scope.popover1.show($event);
      };
      $scope.closePopover1 = function () {
        $scope.popover1.hide();
        $('body').removeClass('popover-open')
      };
      var input = document.getElementById('customerPhone');
      $scope.openPopover1(input);
      $('.mohuPopover').parent().parent().css({'z-index': '13'})
    }else{
      $scope.popover1.hide();
      $('body').removeClass('popover-open')
    }
  };
  $scope.selectError = function () {
    if ($scope.closePopover1) {
      $scope.popover1.hide();
      $('body').removeClass('popover-open')
    }
  };
  $scope.mohuCheck = function ($event) {
    var a = $event.target;
    $scope.keData.customerPhone = a.getAttribute('data-phone');
    $scope.keData.customerName = a.getAttribute('data-name');
    $scope.keData.customerSex = a.getAttribute('data-gender');
    $scope.popover1.hide();
    $('body').removeClass('popover-open')
  };
})